/*
 * $Id: msgtrwin.c 14674 2010-06-03 15:09:04Z vszakats $
 */

/*
 * Harbour Project source code:
 * Language Support Module (Template)
 *
 * Copyright 2006 { Translation by : Bicahi Esgici <esgici@yahoo.com> }
 * www - http://harbour-project.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA (or visit the web site http://www.gnu.org/).
 *
 * As a special exception, the Harbour Project gives permission for
 * additional uses of the text contained in its release of Harbour.
 *
 * The exception is that, if you link the Harbour libraries with other
 * files to produce an executable, this does not by itself cause the
 * resulting executable to be covered by the GNU General Public License.
 * Your use of that executable is in no way restricted on account of
 * linking the Harbour library code into it.
 *
 * This exception does not however invalidate any other reasons why
 * the executable file might be covered by the GNU General Public License.
 *
 * This exception applies only to the code released by the Harbour
 * Project under the name Harbour.  If you copy code from other
 * Harbour Project or Free Software Foundation releases into a copy of
 * Harbour, as the General Public License permits, the exception does
 * not apply to the code that you add in this way.  To avoid misleading
 * anyone as to the status of such modified files, you must delete
 * this exception notice from them.
 *
 * If you write modifications of your own for Harbour, it is your choice
 * whether to permit this exception to apply to your modifications.
 * If you do not wish that, delete this exception notice.
 *
 */

/* Language name: Turkish */
/* ISO language code : TR */
/* Codepage: 1254         */

#include "hbapilng.h"

static HB_LANG s_lang =
{
   {
      /* Identification */

      "TRWIN",                     /* ID */
      "Turkish",                   /* Name (in English) */
      "Trke",                    /* Name (in native language) */
      "TR",                        /* RFC ID */
      "1254",                      /* Codepage */
      "",                          /* Version */

      /* Month names */

      "Ocak",
      "ubat",
      "Mart",
      "Nisan",
      "Mays",
      "Haziran",
      "Temmuz",
      "Austos",
      "Eyll",
      "Ekim",
      "Kasm",
      "Aralk",

      /* Day names */

      "Pazar",
      "Pazartesi",
      "Sal",
      "aramba",
      "Perembe",
      "Cuma",
      "Cumartesi",

      /* CA-Cl*pper compatible natmsg items */

      "Database Dosyas  # Kayt      Son Gncelleme  Boyut",
      "Daha rnek ister misiniz?",
      "Sayfa No.",
      "** Alttoplam **",
      "* Altalttoplam *",
      "*** Toplam ***",
      "Ins",
      "   ",
      "Geersiz Tarih",
      "Snr: ",
      " - ",
      "E/H",
      "GEERSZ FADE",

      /* Error description names */

      "Bilinmeyen hata",
      "Argman hatas",
      "Snr hatas",
      "Katar tama",
      "Saysal tama",
      "Sfr Blc",
      "Saysal hata",
      "ml hatas",
      "lem ok karmak",
      "",
      "",
      "Hafza yetersiz",
      "Tanmlanmam fonksiyon",
      "Eksport metodu yok",
      "Deiken yok",
      "Alyas yok",
      "Eksport deikeni yok",
      "Alyasta geersiz karakter",
      "Alyas zaten kullanmda",
      "",
      "Oluturma hatas",
      "Ama hatas",
      "Kapatma hatas",
      "Okuma hatas",
      "Yazma hatas",
      "Print hatas",
      "",
      "",
      "",
      "",
      "Desteklenmeyen ilem",
      "Snr ald",
      "Bozukluk var",
      "Data tip hatas",
      "Data boyut hatas",
      "alma alan kullanmda deil",
      "alma alan indeksli deil",
      "Exclusive gerekiyor",
      "Kilit gerekiyor",
      "Yazma izni yok",
      "Append kilidi kurulamad",
      "Kilit kurulamad",
      "",
      "",
      "",
      "",
      "array eriim",
      "array atama",
      "array boyut",
      "array deil",
      "art",

      /* Internal error names */

      "Kurtarlamaz hata%d: ",
      "Hata kurtarma baarsz",
      "Hata iin ERRORBLOCK() yok",
      "ok fazla iie hata tutucu ars",
      "RDD geersiz veya yklemenedi",
      "%s iin geersiz metot tipi",
      "hb_xgrab hafza atayamad",
      "hb_xrealloc NULL pointer tarafndan arld",
      "hb_xrealloc geersiz bir pointer tarafndan arld",
      "hb_xrealloc tekrar hafza atayamad",
      "hb_xfree geersiz bir pointer tarafndan arld",
      "hb_xfree NULL pointer tarafndan arld",
      "Balama prosedr bulunamd : \'%s\'",
      "Balama prosedr yok",
      "Desteklenmeyen VP ilem kodu",
      "%s iin sembol maddesi lzm",
      "%s iin geersiz sembol tipi ",
      "%s iin kodblok lazm",
      "%s iin stack pop edilirken yanl madde tipi ",
      "Stack tamas",
      "%s iinde bir madde kendi stne kopyalanmak istendi",
      "%s hafza deikeni olarak geersiz sembol maddesi aktarld",
      "Hafza buffer tamas",
      "hb_xgrab sfr bayt atamas istendi",
      "hb_xrealloc sfr bayta boyutlandrmak istendi",
      "hb_xalloc sfr bayt atamas istendi",

      /* Texts */

      "DD.MM.YYYY",
      "E",
      "H"
   }
};

#define HB_LANG_ID      TRWIN
#include "hbmsgreg.h"
